# TdApi.AvailableReactions (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: AvailableReactions

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AvailableReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AvailableReactions

Enclosing class:
  TdApi

public static final class TdApi.AvailableReactions extends TdApi.Object
Represents a list of reactions that can be added to a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowCustomEmoji`
True, if custom emoji reactions could be added by Telegram Premium subscribers.
`static final int`
`CONSTRUCTOR`
`TdApi.AvailableReaction[]`
`popularReactions`
List of popular reactions.
`TdApi.AvailableReaction[]`
`recentReactions`
List of recently used reactions.
`TdApi.AvailableReaction[]`
`topReactions`
List of reactions to be shown at the top.

## Constructor Summary

Constructors
Constructor
Description
`AvailableReactions()`
Represents a list of reactions that can be added to a message.
`AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji)`
Represents a list of reactions that can be added to a message.
`AvailableReactions(DataInput input)`
Represents a list of reactions that can be added to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### topReactions

public TdApi.AvailableReaction[] topReactions
List of reactions to be shown at the top.

### recentReactions

public TdApi.AvailableReaction[] recentReactions
List of recently used reactions.

### popularReactions

public TdApi.AvailableReaction[] popularReactions
List of popular reactions.

### allowCustomEmoji

public boolean allowCustomEmoji
True, if custom emoji reactions could be added by Telegram Premium subscribers.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AvailableReactions

public AvailableReactions()
Represents a list of reactions that can be added to a message.

### AvailableReactions

public AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji)
Represents a list of reactions that can be added to a message.

Parameters:
  `topReactions` - AvailableReaction[] List of reactions to be shown at the top.
  `recentReactions` - AvailableReaction[] List of recently used reactions.
  `popularReactions` - AvailableReaction[] List of popular reactions.
  `allowCustomEmoji` - boolean True, if custom emoji reactions could be added by Telegram Premium subscribers.

### AvailableReactions

public AvailableReactions(DataInput input) throws IOException
Represents a list of reactions that can be added to a message.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`